> For the complete documentation index, see [llms.txt](https://docs.riskbase.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.riskbase.uk/riskbase-docs/api/webhooks/event-types.md).

# Event Types

Webhooks are queued and sent within a few minutes of an event. A webhook request includes an array of one or more events, each with a `type`. Most events also have an `id` but this is not always true; see below for details about each event.

```json
[
  {"type":"property", "id":"cksq4ybpq104zwgwh2gd1vvha"},
  {"type":"property", "id":"kw4ooco04cog8sooow0ogcgg"},
  {"type":"task", "id":"cle72jm2q0001pxwhqnf5qfoc"},
  {"type":"assessment", "id":"cllks38mw000131wh9ukgjc4g"},
  {"type":"assessmentschedule", "propertyId":"cllks38mw000131wh9ukgjc4g", "typeId":"cm65bkfml00kpyjwh84eword", "assetId":"cllks38mw000131wh9ukgjc4g"},
  ...
]
```

#### Property Event `property`

* Property is created or deleted,
* Property's name, address, or tree position is updated.

```
{ "type": "property", "id": "{UID}" }
```

Note: When a `property` event is received an `asset` event will be included; this is for backward compatibility but should be ignored.

```
{ "type": "asset", "id": "{UID}" }
```

#### Property Group Event `propertygroup`

* Property group is created or deleted,
* Property group's name or tree position is updated.

```
{ "type": "propertygroup", "id": "{UID}" }
```

Note: When a `propertygroup` event is received an `assetgroup` event will be included; this is for backward compatibility but should be ignored.

```
{ "type": "assetgroup", "id": "{UID}" }
```

#### Task Event `task`

* Task is updated.

```
{ "type": "task", "id": "{UID}" }
```

#### Assessment Event `assessment`

* Assessment is created, submitted, approved, unapproved, or deleted.

```
{ "type": "assessment", "id": "{UID}" }
```

#### Assessment Schedule Event `assessmentschedule`

* Assessment schedule is created or deleted,
* Assessment schedule is updated.

```
{ "type": "assessmentschedule", "propertyId": "{UID}", "typeId":"{UID}", "assetId": "{UID}" }
```

Note: The `assetId` included in this event is for backward compatibility and should be ignored.

#### User Event `user`

* User is added or removed from your organisation,
* User name or email is updated.

```
{ "type": "user", "id": "{UID}" }
```

#### Team Event `team`

* Team is created or deleted,
* Team's name or description is updated,
* Team's members are changed.

```
{ "type": "team", "id": "{UID}" }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.riskbase.uk/riskbase-docs/api/webhooks/event-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
